{
  "nombre": "Administración de Secuencia de Tareas",
  "botones": [
    {
      "texto": "Guardar Cambios",
      "name": "Grabar",
      "icono": "save",
      "action": {
        "type": "apicall",
        "mode": "form-urlencoded",
        "url": "Engine",
        "mensajeExitoso": "La secuencia de tareas del proceso fue actualizada correctamente",
        "mensajeError": "No se pudo realizar el guardado",
        "mensajeConfirmacionBorrado": "Esta por borrar las secuencias del proceso, ¿esta seguro?",
        "formData": {
          "paquete": "wf",
          "clase": "Datos",
          "metodo": "setTarSeq",
          "data": "$(resultData)",
          "parametros": "$(ProcId)"
        }
      }
    }
  ],
  "filtros": {
    "submitFunction": "Engine?paquete=wf&clase=Datos&metodo=getTarSeq&parametros=$(ProcId)",
    "hideButton": false,
    "fields": [
      {
        "label": "Proceso",
        "name": "ProcId",
        "type": "supercombobox",
        "tabla": "wfproc",
        "id": "ProcId",
        "text": "ProcNom",
        "disabled": false
      }
    ]
  },
  "body": [
    {
      "componente": "TransferGrid",
      "resultVariableNameLeft": "noestan",
      "resultVariableNameRight": "estan",
      "titleLeft": "No estan en Proceso",
      "titleRight": "Estan en Proceso",
      "propertyName": "TarNom",
      "propertyId": "TarId",
      "extraPropertiesRight": [
        {
          "visible": true,
          "name": "SeqTip",
          "disabled": false,
          "label": "Tipo",
          "tabla": "dmn",
          "id": "DmnAbr",
          "text": "DmnDet",
          "dominio": "TIPWSEQ",
          "type": "supercombobox",
          "validations": {
            "required": true
          },
          "displayLabel": false,
          "width": 200
        },
        {
          "visible": true,
          "name": "TarId",
          "disabled": true,
          "label": "Tarea Id",
          "type": "number",
          "displayLabel": false,
          "width": 200
        },
        {
          "visible": true,
          "name": "SeqOrd",
          "disabled": false,
          "label": "Orden",
          "type": "number",
          "displayLabel": false,
          "width": 80,
          "validations": {
            "required": true
          }
        },
        {
          "visible": true,
          "name": "SeqRam",
          "disabled": false,
          "label": "Rama",
          "type": "number",
          "displayLabel": false,
          "width": 80,
          "validations": {
            "required": true
          }
        }
      ]
    }
  ]
}
